/containers/{id}/logs Get stdout and stderr logs from a container.
Note: This endpoint works only for containers with the json-file or
journald logging driver.
Connection and access
API connection and authentication guidance
/v1.57
No HTTP authentication requirement is declared for this operation. Transport access controls can still apply.
Parameters
id
path
Required
Type:
string
All schema constraints and annotations
{
"type": "string"
}follow
query
Type:
boolean
All schema constraints and annotations
{
"default": false,
"type": "boolean"
}stdout
query
stdoutType:
boolean
All schema constraints and annotations
{
"default": false,
"type": "boolean"
}stderr
query
stderrType:
boolean
All schema constraints and annotations
{
"default": false,
"type": "boolean"
}since
query
Type:
integer
All schema constraints and annotations
{
"default": 0,
"type": "integer"
}until
query
Type:
integer
All schema constraints and annotations
{
"default": 0,
"type": "integer"
}timestamps
query
Type:
boolean
All schema constraints and annotations
{
"default": false,
"type": "boolean"
}tail
query
all to output all log lines.Type:
string
All schema constraints and annotations
{
"default": "all",
"type": "string"
}Request and responses
Response
200
application/vnd.docker.multiplexed-stream
Type:
string
All schema constraints and annotations
{
"format": "binary",
"type": "string"
}Response
200
application/vnd.docker.raw-stream
Type:
string
All schema constraints and annotations
{
"format": "binary",
"type": "string"
}Response
404
application/json
Schema:
ErrorResponse
Example
{
"message": "No such container: c2ada9df5af8"
}Response
500
application/json
Schema:
ErrorResponse
Schema example
{
"message": "Something went wrong."
}Referenced schemas
#/components/schemas/ErrorResponse
Complete operation contract
{
"description": "Get `stdout` and `stderr` logs from a container.\n\nNote: This endpoint works only for containers with the `json-file` or\n`journald` logging driver.\n",
"operationId": "ContainerLogs",
"parameters": [
{
"description": "ID or name of the container",
"in": "path",
"name": "id",
"required": true,
"schema": {
"type": "string"
}
},
{
"description": "Keep connection after returning logs.",
"in": "query",
"name": "follow",
"schema": {
"default": false,
"type": "boolean"
}
},
{
"description": "Return logs from `stdout`",
"in": "query",
"name": "stdout",
"schema": {
"default": false,
"type": "boolean"
}
},
{
"description": "Return logs from `stderr`",
"in": "query",
"name": "stderr",
"schema": {
"default": false,
"type": "boolean"
}
},
{
"description": "Only return logs since this time, as a UNIX timestamp",
"in": "query",
"name": "since",
"schema": {
"default": 0,
"type": "integer"
}
},
{
"description": "Only return logs before this time, as a UNIX timestamp",
"in": "query",
"name": "until",
"schema": {
"default": 0,
"type": "integer"
}
},
{
"description": "Add timestamps to every log line",
"in": "query",
"name": "timestamps",
"schema": {
"default": false,
"type": "boolean"
}
},
{
"description": "Only return this number of log lines from the end of the logs.\nSpecify as an integer or `all` to output all log lines.\n",
"in": "query",
"name": "tail",
"schema": {
"default": "all",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/vnd.docker.multiplexed-stream": {
"schema": {
"format": "binary",
"type": "string"
}
},
"application/vnd.docker.raw-stream": {
"schema": {
"format": "binary",
"type": "string"
}
}
},
"description": "logs returned as a stream in response body.\nFor the stream format, [see the documentation for the attach endpoint](#operation/ContainerAttach).\nNote that unlike the attach endpoint, the logs endpoint does not\nupgrade the connection and does not set Content-Type.\n"
},
"404": {
"content": {
"application/json": {
"example": {
"message": "No such container: c2ada9df5af8"
},
"schema": {
"$ref": "#/components/schemas/ErrorResponse"
}
}
},
"description": "no such container"
},
"500": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ErrorResponse"
}
}
},
"description": "server error"
}
},
"summary": "Get container logs",
"tags": [
"Container"
]
}